Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Enum Class ClumpletReader.ClumpletType

java.lang.Object
java.lang.Enum<ClumpletReader.ClumpletType>
org.firebirdsql.gds.ClumpletReader.ClumpletType

All Implemented Interfaces:
  `Serializable`, `Comparable<ClumpletReader.ClumpletType>`, `Constable`

Enclosing class:
  ClumpletReader

public static enum ClumpletReader.ClumpletType extends Enum<ClumpletReader.ClumpletType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BigIntSpb`
  `ByteSpb`
  `IntSpb`
  `SingleTpb`
  `StringSpb`
  `TraditionalDpb`
  `Wide`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClumpletReader.ClumpletType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClumpletReader.ClumpletType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TraditionalDpb

    public static final ClumpletReader.ClumpletType TraditionalDpb

  - ### SingleTpb

    public static final ClumpletReader.ClumpletType SingleTpb

  - ### StringSpb

    public static final ClumpletReader.ClumpletType StringSpb

  - ### IntSpb

    public static final ClumpletReader.ClumpletType IntSpb

  - ### BigIntSpb

    public static final ClumpletReader.ClumpletType BigIntSpb

  - ### ByteSpb

    public static final ClumpletReader.ClumpletType ByteSpb

  - ### Wide

    public static final ClumpletReader.ClumpletType Wide

- ## Method Details

  - ### values

    public static ClumpletReader.ClumpletType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClumpletReader.ClumpletType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null